## angband 3.3.2

=== Makefile ===
MKPATH=mk/
include $(MKPATH)buildsys.mk

SUBDIRS = src lib

.PHONY: tests manual
tests:
	$(MAKE) -C src tests

manual:
	$(MAKE) -C doc/manual manual

clean-posthook:
	-rm config.status config.log
	-rm *.dll
	-rm angband.exe

=== doc/Makefile ===
MKPATH=../mk/
include $(MKPATH)buildsys.mk

SUBDIRS = manual

=== lib/Makefile ===
MKPATH=../mk/
include $(MKPATH)buildsys.mk

SUBDIRS = apex edit file help pref save user xtra info

=== src/Makefile ===
MKPATH=../mk/
include $(MKPATH)buildsys.mk

# import source list
include Makefile.src
INCLUDE = $(HDRS) $(INCS)
OBJECTS = $(ANGFILES) $(ZFILES)
SRCS    = ${OBJECTS:.o=.c} ${MAINFILES:.o=.c}
SUBDIRS = gtk monster object player
PROG    = angband
VERSION := $(shell ../scripts/version.sh)
CFLAGS += -DBUILD_ID=${VERSION} -I. -std=c99 -Wdeclaration-after-statement -O0

# gcov intermediate data
GCOBJS = $(OBJECTS:.o=.gcno) $(OBJECTS:.o=.gcda)
GCOVS = $(OBJECTS:.o=.c.gcov)

export CFLAGS LDFLAGS

angband: angband.o $(MAINFILES)
	$(CC) -o angband angband.o $(MAINFILES) $(LDFLAGS) $(LDADD)
	@printf "%10s %-20s\n" LINK $@

angband.o: $(OBJECTS)
	$(LD) -r -o $@ $(OBJECTS)
	@printf "%10s %-20s\n" LINK $@

clean:: test-clean
	-rm -f angband.o
	-rm -f angband.exe
	-rm -f win/angband.res

clean-extra:
	-rm -f autoconf.h

tests: angband.o
	$(MAKE) -C tests all

test-clean:
	$(MAKE) -C tests clean

splint:
	splint -f .splintrc ${OBJECTS:.o=.c} main.c main-gcu.c

clean-coverage:
	rm -f tests/ran-already
	rm -f $(GCOVS) $(GCOBJS)

coverage: CFLAGS+=-fprofile-arcs -ftest-coverage
coverage: LDFLAGS+=-lgcov
coverage: clean-coverage clean gen-covs

tests/ran-already : tests
	touch $@

gen-covs: tests/ran-already $(GCOVS)
	./gen-coverage $(GCOVS)

%.gcov: %
	(gcov -o $(dir $^) -p $^ >/dev/null)

.PHONY : tests coverage clean-coverage tests/ran-already

=== doc/manual/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

SECTIONS := general birth playing attack dungeon customize option command \
	debug thanks version
TEXFILES := $(SECTIONS:=.tex)

PDFLATEX  := pdflatex
MAKEINDEX := makeindex 

manual: manual.pdf

manual.pdf: manual.tex $(TEXFILES)
	${COMPILE_STATUS}
	@$(PDFLATEX) $< >/dev/null
	@$(MAKEINDEX) $(<:.tex=.idx) >/dev/null 2>&1
	@if $(PDFLATEX) $< >/dev/null; then \
		${COMPILE_OK}; \
	else \
		${COMPILE_FAILED}; \
	fi
	

clean::
	for i in $(SECTIONS:=.aux) manual.aux manual.idx manual.ilg \
		manual.ind manual.log manual.out manual.toc; do \
		if test -f $$i -o -d $$i; then \
			if rm -fr $$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi \
	done

=== lib/apex/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

PACKAGE = apex

install-extra:
	if [ "x$(SETEGID)" != "x" ]; then \
		if [ "x$(DRY)" = "x" ]; then \
			${MKDIR_P} ${DESTDIR}${vardatadir}${PACKAGE}; \
			touch ${DESTDIR}${vardatadir}${PACKAGE}/scores.raw; \
			chown -R root:${SETEGID} ${DESTDIR}${vardatadir}${PACKAGE}; \
			chmod -R g+w ${DESTDIR}${vardatadir}${PACKAGE}; \
		fi; \
	fi

=== lib/edit/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

CONFIG = artifact.txt ego_item.txt flavor.txt limits.txt monster.txt \
 monster_base.txt names.txt object.txt object_base.txt p_class.txt p_hist.txt \
 p_race.txt shop_own.txt spell.txt store.txt terrain.txt vault.txt hints.txt \
 pain.txt pit.txt
PACKAGE = edit

=== lib/file/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = crown.txt dead.txt news.txt
PACKAGE = file

=== lib/help/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = 330.txt attack.txt birth.txt command.txt debug.txt dungeon.txt general.txt help.hlp option.txt playing.txt version.txt
PACKAGE = help

=== lib/info/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = readme.txt
PACKAGE = info

=== lib/pref/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

CONFIG = flvr-dvg.prf font-win.prf \
       xtra-new.prf flvr-new.prf font-mac.prf \
       font-x11.prf message.prf pref.prf      \
       xtra-xxx.prf flvr-xxx.prf font.prf font-xxx.prf     \
       graf-new.prf user.prf     \
       font-gcu.prf font-sdl.prf graf-dvg.prf graf.prf graf-xxx.prf     \
       xtra-dvg.prf \
       flvr-nmd.prf graf-nmd.prf xtra-nmd.prf
PACKAGE = pref

=== lib/save/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

PACKAGE = save

install-extra:
	if [ "x$(SETEGID)" != "x" ]; then \
		if [ "x$(DRY)" = "x" ]; then \
			${MKDIR_P} ${DESTDIR}${vardatadir}${PACKAGE}; \
			chown root:${SETEGID} ${DESTDIR}${vardatadir}${PACKAGE}; \
			chmod 070 ${DESTDIR}${vardatadir}${PACKAGE}; \
		fi; \
	fi

=== debian/changelog ===
angband (1:3.3.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "removes files that were installed by another package:
    /usr/share/angband/*":
    don't remove /usr/share/angband from angband's postrm; the directory
    belongs to angband-data.
    (Closes: #684180)

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Aug 2012 19:11:55 +0200

angband (1:3.3.2-2) unstable; urgency=low

  * Fixed conflict between angband-data and older versions of angband
											Closes: #647437
  * Updated ncurses dependency to ncursesw, since Angband now speaks UTF-8
  * Package now includes .desktop entries for x11, GTK and SDL modes.
  * Package now includes a PDF manual in addition to in-game help.

 -- Chris Carr <rantingman@gmail.com>  Wed, 04 Nov 2011 20:12:39 +0000

angband (1:3.3.2-1) unstable; urgency=low

  * New upstream release with many more changes to gameplay and UI. See
    changelog for details.
  * Updated Standards-Version. No changes.
  * Package rebuilt in 3.0 (quilt) format.

 -- Chris Carr <rantingman@gmail.com>  Tue, 25 Oct 2011 16:50:52 +0100

angband (1:3.2.0-1) unstable; urgency=low

  * New upstream release with significant changes to gameplay and options. See
    changelog for details.
  * Fixed high CPU usage with -mx11			Closes: #547261
  * Added suggestion for new angband-audio package (in non-free).
  * Updated Standards-Version. No changes.
  * Removed build-dep on cvs.
  * Removed bashism from configure.ac 		Closes: #619695

 -- Chris Carr <rantingman@gmail.com>  Sat, 02 Apr 2011 09:38:11 -0000

=== debian/control ===
Source: angband
Section: games
Priority: optional
Maintainer: Chris Carr <rantingman@gmail.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev,
 libncursesw5-dev | libncursesw-dev | ncursesw-dev,
 libsdl1.2-dev | libsdl-dev, libsdl-mixer1.2-dev,
 libsdl-gfx1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev,
 libsdl-net1.2-dev, libglade2-dev, texlive-latex-extra
Standards-Version: 3.9.2
Homepage: http://rephial.org
Vcs-Git: git://git.debian.org/collab-maint/angband.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/angband.git;a=summary

Package: angband
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, angband-data
Recommends: xfonts-base
Suggests: angband-audio
Description: Single-player, text-based, dungeon simulation game
 Angband is a single-player, text-based, dungeon simulation derived
 from the game Moria, which was in turn based on Rogue. It is
 often described as a "roguelike" game because the look and feel of
 the game is still quite similar to Rogue (though there are now graphical
 tiles available if you dislike ASCII gaming). Angband has been in more or
 less continuous development since the early 1990s.
 .
 The ultimate goal of the game is to develop a character strong enough
 to defeat Morgoth, who resides on dungeon level 100. Upon doing so,
 you will receive the exalted status of "winner" and your character may
 retire. To achieve this you will need to explore numerous dungeon levels,
 defeat many foes and sift through a great deal of treasure.
 .
 Angband is a reference to Morgoth's "prison of iron" in the world of
 Middle-Earth, created by J.R.R. Tolkein.

Package: angband-data
Architecture: all
Depends: ${misc:Depends}
Replaces: angband (<< 1:3.3.2)
Description: Game data for angband
 Angband is a single-player, text-based, dungeon simulation derived
 from the game Moria, which was in turn based on Rogue. It is
 often described as a "roguelike" game because the look and feel of
 the game is still quite similar to Rogue (though there are now graphical
 tiles available if you dislike ASCII gaming). Angband has been in more or
 less continuous development since the early 1990s.
 .
 This package contains the data files for the game.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 


override_dh_auto_clean:

override_dh_clean:
	dh_clean
	[ ! -f mk/extra.mk ] || $(MAKE) -C doc/manual clean

override_dh_auto_configure:
	./configure --with-private-dirs --with-libpath=/usr/share/angband \
	--with-x --enable-sdl --enable-gtk --with-configpath=/etc/angband \
	--bindir=/usr/games

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc/manual manual

override_dh_auto_test:

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
http://rephial.org/downloads/3.3 angband-v(.*)\.tar\.gz

## angband 3.5.1

=== Makefile ===
MKPATH=mk/
include $(MKPATH)buildsys.mk

SUBDIRS = src lib doc
CLEAN = config.status config.log *.dll *.exe

.PHONY: tests manual clean-manual dist
tests:
	$(MAKE) -C src tests

manual:
	$(MAKE) -C doc manual.html manual.pdf

clean-manual:
	$(MAKE) -C doc clean

TAG = angband-`git describe`
OUT = $(TAG).tar.gz

dist: manual
	git checkout-index --prefix=$(TAG)/ -a
	git describe > $(TAG)/version
	$(TAG)/autogen.sh
	rm -rf $(TAG)/autogen.sh $(TAG)/autom4te.cache
	cp doc/manual.html doc/manual.pdf $(TAG)/doc/
	tar --exclude .gitignore --exclude *.dll -czvf $(OUT) $(TAG)
	rm -rf $(TAG)

=== doc/Makefile ===
MKPATH=../mk/
include $(MKPATH)buildsys.mk

HELPSRCPATH := ../lib/help/

MAKEINDEX := makeindex

DOC = manual.html manual.pdf

SECTIONS := general birth playing attack dungeon customize option command \
            debug ../../thanks version

INDEX := index

CLEAN = manual.ind manual.ilg manual.toc manual.tex manual.log manual.aux \
	manual.tex manual.pdf manual.html manual.out

RSTFILESWITHOUTPATH := $(addsuffix .txt, $(SECTIONS))
RSTINDEXWITHOUTPATH := $(addsuffix .txt, $(INDEX))

RSTFILES := $(addprefix $(HELPSRCPATH), $(RSTFILESWITHOUTPATH))
RSTINDEX := $(addprefix $(HELPSRCPATH), $(RSTINDEXWITHOUTPATH))

STY := $(addprefix $(HELPSRCPATH), angband.sty)
CSS := $(addprefix $(HELPSRCPATH), angband.css)

ifneq ($(RST2HTML),NOTFOUND)
manual.html: $(RSTINDEX) $(RSTFILES) $(CSS)
	${COMPILE_STATUS}
	@if $(RST2HTML) $(HELPSRCPATH)/index.txt --stylesheet-path $(CSS) > manual.html; then \
		${COMPILE_OK}; \
	else \
		${COMPILE_FAILED}; \
	fi
else
manual.html:
	echo rst2html not found. Cannot build HTML manual
endif

ifneq ($(RST2LATEX),NOTFOUND)
manual.tex: $(RSTINDEX) $(RSTFILES) $(STY)
	${COMPILE_STATUS}
	@if $(RST2LATEX) $(HELPSRCPATH)/index.txt > manual.tex --stylesheet-path=$(STY) --documentclass=scrartcl; then \
		${COMPILE_OK}; \
	else \
		${COMPILE_FAILED}; \
	fi

ifneq ($(PDFLATEX),NOTFOUND)
manual.pdf: manual.tex
	${COMPILE_STATUS}
	@$(PDFLATEX) manual.tex > /dev/null
	@$(MAKEINDEX) manual.tex > /dev/null 2>&1
	@if $(PDFLATEX) manual.tex > /dev/null; then \
		${COMPILE_OK}; \
	else \
		${COMPILE_FAILED}; \
	fi
else
manual.pdf: manual.tex
	echo pdflatex not found. Cannot build PDF manual
endif
else
manual.pdf:
	echo rst2latex not found. Cannot build PDF manual
endif

install: manual.html

=== src/Makefile ===
--- 
+++ 
@@ -6,32 +6,34 @@
 INCLUDE = $(HDRS) $(INCS)
 OBJECTS = $(ANGFILES) $(ZFILES)
 SRCS    = ${OBJECTS:.o=.c} ${MAINFILES:.o=.c}
-SUBDIRS = gtk monster object player
-PROG    = angband
+SUBDIRS = monster object player
+PROG    = angband$(PROG_SUFFIX)
 VERSION := $(shell ../scripts/version.sh)
-CFLAGS += -DBUILD_ID=${VERSION} -I. -std=c99 -Wdeclaration-after-statement -O0
+ifneq (${VERSION},)
+	CFLAGS += -DBUILD_ID=${VERSION}
+endif
+
+CFLAGS += -I. -std=c99 -Wdeclaration-after-statement -O0
 
 # gcov intermediate data
 GCOBJS = $(OBJECTS:.o=.gcno) $(OBJECTS:.o=.gcda)
 GCOVS = $(OBJECTS:.o=.c.gcov)
 
-export CFLAGS LDFLAGS
+CLEAN = angband.o $(OBJECTS) win/angband.res
+DISTCLEAN = autoconf.h
 
-angband: angband.o $(MAINFILES)
-	$(CC) -o angband angband.o $(MAINFILES) $(LDFLAGS) $(LDADD)
+export CFLAGS LDFLAGS LIBS
+
+$(PROG): angband.o $(MAINFILES)
+	$(CC) -o $@ angband.o $(MAINFILES) $(LDFLAGS) $(LDADD) $(LIBS)
 	@printf "%10s %-20s\n" LINK $@
 
+win/angband.res: win/angband.rc
+	$(RC) $< -O coff -o $@
+
 angband.o: $(OBJECTS)
-	$(LD) -r -o $@ $(OBJECTS)
+	$(LD) -nostdlib -Wl,-r -o $@ $(OBJECTS)
 	@printf "%10s %-20s\n" LINK $@
-
-clean:: test-clean
-	-rm -f angband.o
-	-rm -f angband.exe
-	-rm -f win/angband.res
-
-clean-extra:
-	-rm -f autoconf.h
 
 tests: angband.o
 	$(MAKE) -C tests all

=== lib/edit/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

CONFIG = artifact.txt ego_item.txt flavor.txt limits.txt monster.txt \
 monster_base.txt names.txt object.txt object_base.txt p_class.txt p_hist.txt \
 p_race.txt spell.txt store.txt terrain.txt vault.txt hints.txt \
 pain.txt pit.txt room_template.txt
PACKAGE = edit

=== lib/file/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

DATA = crown.txt dead.txt news.txt
PACKAGE = file

=== lib/help/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

DATA = attack.txt birth.txt command.txt debug.txt dungeon.txt \
  general.txt help.hlp option.txt playing.txt version.txt
PACKAGE = help

=== lib/info/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

DATA = readme.txt
PACKAGE = info

=== lib/pref/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

CONFIG = flvr-dvg.prf font-win.prf \
       xtra-new.prf flvr-new.prf \
       font-x11.prf message.prf pref.prf keys-gcu.prf \
       xtra-xxx.prf flvr-xxx.prf font.prf font-xxx.prf     \
       graf-new.prf user.prf     \
       font-gcu.prf font-sdl.prf graf-dvg.prf graf.prf graf-xxx.prf     \
       xtra-dvg.prf \
       flvr-nmd.prf graf-nmd.prf xtra-nmd.prf \
       flvr-shb.prf graf-shb.prf xtra-shb.prf
PACKAGE = pref

=== lib/xtra/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

DATA = angband.glade
SUBDIRS = font graf icon sound
PACKAGE = xtra

=== src/stats/Makefile ===
MKPATH=../../mk/
include $(MKPATH)extra.mk $(MKPATH)buildsys.mk

=== src/tests/Makefile ===
# Makefile for tests - builds unit-test binaries

CFLAGS+=-I../ -I. -g
LDFLAGS+=-lm
-include config

all : run

SUITES := $(shell find . -maxdepth 1 -mindepth 1 -type d)
SUITES := $(filter-out ./bin,$(SUITES))
include $(patsubst %,%/suite.mk,$(SUITES))

TESTOBJS  := $(patsubst %,%.o,$(TESTPROGS))
TESTPROGS := $(patsubst %,bin/%,$(TESTPROGS))

TESTOBJS += unit-test.o

build : $(TESTPROGS)

run : build
	@./run-tests

%.o : %.c
	@$(CC) $(CFLAGS) -c -o $@ $^

bin/% : %.o ../angband.o unit-test.o
	@mkdir -p $(shell echo "$$(dirname $@)")
	@$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(LDADD) $(LIBS)
	@echo "  CC $@"

clean :
	$(RM) bin/*/* $(TESTOBJS)

.PHONY : all clean
.PRECIOUS : %.o

=== lib/xtra/font/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

DATA = 5x8x.fon 6x10x.fon 6x12x.fon 6x13x.fon 6x13xb.fon 7x13x.fon \
	7x13xb.fon 8x8x.fon 8x8xb.fon 8x12x.fon 8x12xb.fon 8x13x.fon 8x16x.fon \
	9x15x.fon 9x15xb.fon 10x14x.fon 10x14xb.fon 10x20x.fon 12x18x.fon \
	12x24x.fon 16x16x.fon 16x24x.fon
PACKAGE = xtra/font

=== debian/changelog ===
angband (1:3.5.1-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop menu file and its pixmap, since angband already provides .desktop
    files
    - drop the imagemagick build dependency, no more needed now

 -- Pino Toscano <pino@debian.org>  Fri, 31 Dec 2021 08:56:39 +0100

angband (1:3.5.1-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * switch b-d from python-docutils to python3-docutils; Closes: #942949

 -- Sandro Tosi <morph@debian.org>  Sat, 30 May 2020 01:55:02 -0400

angband (1:3.5.1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Breaks against buggy angband-audio which mishandles angband-data's
    sound.cfg.  (See: #793668)
  * Whitespace cleanup.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Sep 2018 12:23:33 +0200

angband (1:3.5.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply pie.patch and fix FTBFS due to extra hardening.
    Thanks to Adrian Bunk for the patch. (Closes: #837394)

 -- Markus Koschany <apo@debian.org>  Mon, 28 Nov 2016 18:38:29 +0100

angband (1:3.5.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Build --with autotools_dev and fix FTBFS on ppc64el that
    prevents the package from migrating to testing.
    Thanks to Erwan Prioul for the report and patch. (Closes: #795478)

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jan 2016 15:13:19 +0100

angband (1:3.5.1-2) unstable; urgency=low

  * Moved all Build-Depends-Indep to Build-Depends following autobuild failure
  * Created DEP-5-compliant debian/copyright file.

 -- Chris Carr <rantingman@gmail.com>  Wed, 11 Feb 2015 22:54:23 +0000

angband (1:3.5.1-1) unstable; urgency=low

  * New upstream release with many more changes to gameplay and UI. See
    changelog for details.
  * Updated Standards-Version. Added Package-List field to debian/control.
  * Added Build-Depends-Indep on python-docutils, texlive-latex-extra and
    texlive-fonts-recommended (for the PDF manual), and on imagemagick (for
    the xpm menu icon)
  * Fix "Console mode is missing": correct ncurses dependency (Closes: #698155)
  * Fix "Obsolete conffiles in /etc/angband/pref/ not cleaned up on
    upgrade": old *.prf files now properly removed (Closes: #669954)
  * Fix "Please enable shared score file again": package built setgid games
    again now that gtk support has been removed upstream (Closes: #684166)
  * Fix "Various segmentation faults": gtk support removed upstream
    (Closes: #715515)
  * Fix "angband-gtk: angband-gtk does not have a window manager close
    button": gtk support removed upstream (Closes: #646679)
  * Fix "Small typo in long description ("Tolkein")": fixed typo
    (Closes: #648058)
  * Fix "menu icon entries missing": menu icon added (Closes: #737789)
  * Fix "please package the latest upstream version": new upstream version
    (Closes: #737249, LP: #1403010)

 -- Chris Carr <rantingman@gmail.com>  Sat, 17 Jan 2015 11:06:55 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
  libncursesw5-dev | libncursesw-dev | ncursesw-dev,
  libsdl1.2-dev | libsdl-dev, libsdl-mixer1.2-dev,
  libsdl-gfx1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev,
- libsdl-net1.2-dev, libglade2-dev, texlive-latex-extra
-Standards-Version: 3.9.2
+ libsdl-net1.2-dev, python3-docutils, texlive-latex-extra,
+ texlive-fonts-recommended
+Standards-Version: 3.9.6
 Homepage: http://rephial.org
-Vcs-Git: git://git.debian.org/collab-maint/angband.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/angband.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/angband.git
+Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/angband.git;a=summary
 
 Package: angband
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, angband-data
 Recommends: xfonts-base
-Suggests: angband-audio
+Suggests: angband-audio, angband-bigtiles
 Description: Single-player, text-based, dungeon simulation game
  Angband is a single-player, text-based, dungeon simulation derived
  from the game Moria, which was in turn based on Rogue. It is
@@ -32,12 +33,13 @@
  defeat many foes and sift through a great deal of treasure.
  .
  Angband is a reference to Morgoth's "prison of iron" in the world of
- Middle-Earth, created by J.R.R. Tolkein.
+ Middle-Earth, created by J.R.R. Tolkien.
 
 Package: angband-data
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: angband (<< 1:3.3.2)
+Breaks: angband-audio (<= 1:3.1.0-1)
 Description: Game data for angband
  Angband is a single-player, text-based, dungeon simulation derived
  from the game Moria, which was in turn based on Rogue. It is

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,14 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+# CC 18/01/15 - trying to remove lintian warnings:
+# hardening-no-relro and hardening-no-fortify-functions
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ 
+	dh $@ --with autotools_dev
 
 
 override_dh_auto_clean:
@@ -28,13 +33,12 @@
 	[ ! -f mk/extra.mk ] || $(MAKE) -C doc/manual clean
 
 override_dh_auto_configure:
-	./configure --with-private-dirs --with-libpath=/usr/share/angband \
-	--with-x --enable-sdl --enable-gtk --with-configpath=/etc/angband \
-	--bindir=/usr/games
+	./configure --with-setgid=games --datarootdir=/usr/share \
+	--with-x --enable-sdl --bindir=/usr/games --sysconfdir=/etc \
+    --localstatedir=/var
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) -C doc/manual manual
+	$(MAKE) manual
 
 override_dh_auto_test:
-

## angband 4.2.5%2Bdfsg1

=== lib/tiles/nomad/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

DATA = 8x16.png  flvr-nmd.prf  graf-nmd.prf  xtra-nmd.prf

PACKAGE = tiles/nomad

=== debian/changelog ===
angband (1:4.2.5+dfsg1-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 19:28:07 +0000

angband (1:4.2.5+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Clean out 20 years old templates from maintainer scripts
    Closes: #1099025.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 27 Feb 2025 23:35:19 +0100

angband (1:4.2.5+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Set "Rules-Requires-Root: binary-targets" for /usr/games/angband

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Nov 2024 12:24:45 +0100

angband (1:4.2.5+dfsg1-1) unstable; urgency=low

  [ Chris Carr ]
  * remove upstream fonts (Closes: #1053478)

 -- Chris Carr <rantingman@gmail.com>  Sun, 15 Oct 2023 19:05:54 +0200

angband (1:4.2.5+dfsg-1) unstable; urgency=low

  [ Chris Carr ]
  * new 4.x upstream release 
    (Closes: #799358, #778811, #781747, #782437) (LP: #1827167)
  * fix the d/auto_clean step
  * refresh the patches for latest release:
    * remove usage of __DATE__ to make the package reproducible
    * remove-nonfree.patch: redo it smarter
    * point to the locally-installed manual from the help screen
    * make the console port behave the same as others
  * remove old NEWS entry from 2015
  * fix FTBFS after successful build (Closes: #1043963)

  [ Alexandre Detiste ]
  * repack archive to drop Windows .dll & non-free .mp3
  * modernize build-deps:
    * SDL1 -> SDL2 (Closes: #1038023, #781751)
      * also libsdl-ttf2.0-0 -> libsdl2-ttf-2.0-0
        (Closes: #732253) (LP: #1309711)
    * tex/pdf toolchain -> HTML Sphinx
    * libncursesw5-dev | libncursesw-dev | ncursesw-dev
       -> libncurses-dev (Closes: #851238)
  * fix FTCBFS using patch provided (Closes: #894114)
  * set Multi-Arch: foreign
  * compatibility with DebHelper 14 & 15
  * remove old conffiles for good (Closes: #781561)

  [ Debian Janitor ]
  * Update lintian override info format in d/angband.lintian-overrides
  * Use secure copyright file specification URI.
  * Drop use of autotools-dev debhelper.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 8 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix day-of-week for changelog entries 1:3.3.2-2, 1:3.1.2v2-1.

  [ Bastian Germann ]
  * d/copyright: Add more used licenses
  * Drop incorrect lintian overrides
  * Enable cross building docs

 -- Chris Carr <rantingman@gmail.com>  Fri, 15 Sep 2023 21:05:54 +0200
